Subject: bug#32536: displayed width of man pages

From: Juri Linkov <[email-masked]>
Date: Mon, 03 Sep 2018 01:30:30 +0300

>> for example, when a visited image is saved to the desktop file,
>> it has a wrong size after loading the desktop, because the
>> image size is calculated when the image file is not yet displayed
>> in a window.  The image size should be recalculated after
>> displaying the image buffer.
>
> This would be probably about fitting a window to the image it
> displays.  But why do we have to display the image first and then
> recalculate its size?  Don't we know the image size in advance?

Currently image-mode resizes the displayed image to fit into the window.
It can't do this when an image buffer is restored from the desktop file
and not yet displayed.